Method: locations.retrieveContexts

Full name: projects.locations.retrieveContexts

Retrieves relevant contexts for a query.

Endpoint

post https://{service-endpoint}/v1/{parent}:retrieveContexts

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The resource name of the Location from which to retrieve RagContexts. The users must have permission to make a call in the project. Format: projects/{project}/locations/{location}.

Request body

The request body contains data with the following structure:

Fields
query object (RagQuery)

Required. Single RAG retrieve query.

data_source Union type
Data Source to retrieve contexts. data_source can be only one of the following:
vertexRagStore object (VertexRagStore)

The data source for Vertex RagStore.

Response body

Response message for VertexRagService.RetrieveContexts.

If successful, the response body contains data with the following structure:

Fields
contexts object (RagContexts)

The contexts of the query.

JSON representation
{
  "contexts": {
    object (RagContexts)
  }
}

VertexRagStore

The data source for Vertex RagStore.

Fields
ragResources[] object (RagResource)

Optional. The representation of the rag source. It can be used to specify corpus only or ragfiles. Currently only support one corpus or multiple files from one corpus. In the future we may open up multiple corpora support.

vectorDistanceThreshold
(deprecated)
number

Optional. Only return contexts with vector distance smaller than the threshold.

JSON representation
{
  "ragResources": [
    {
      object (RagResource)
    }
  ],
  "vectorDistanceThreshold": number
}

RagResource

The definition of the Rag resource.

Fields
ragCorpus string

Optional. RagCorpora resource name. Format: projects/{project}/locations/{location}/ragCorpora/{ragCorpus}

ragFileIds[] string

Optional. ragFileId. The files should be in the same ragCorpus set in ragCorpus field.

JSON representation
{
  "ragCorpus": string,
  "ragFileIds": [
    string
  ]
}